#include <stdio.h>
#include <stdlib.h>
#include <vector>

typedef struct H{
	short int val;
	int l, r;
	int i;
};

H pole[200000];

int p;

int r(int i)
{
	return (i + 1) % p;
}

int l(int i)
{
	return (p + i - 1) % p;
}

int compare(const void *a, const void *b)
{
	H* h1 = (H*)a;
	H* h2 = (H*)b;
	return h1->r > h2->r;
}

int main(void)
{
	scanf("%d", &p);
	while (p)
	{
		int sum;
		int k = (int)((p-1) / 2);
		for (int i = 0; i < p; i++)
		{
			scanf("%hd", &(pole[i].val));
			pole[i].l = 0;
			pole[i].r = 0;
			pole[i].i = i;
		}

		for (int i = 1; i < k; i++)
		{
			pole[0].r += pole[i].val;
			pole[0].l += pole[p - i].val;
		}

		for (int i = 1; i < p; i++)
		{
			pole[i].r = pole[l(i)].r - pole[i].val + pole[r(i+k-2)].val;
			pole[i].l = pole[l(i)].l + pole[l(i)].val - pole[l(i-k+1)].val;
		}

		qsort(&(pole[0]), p, sizeof(H), compare);

		for (int i = 0; i < p; i++)
		{
			printf("%hd %d\n", pole[i].val, pole[i].r);
		}

		scanf("%d", &p);
	}
	return 0;
}
